Bug 448095 - dovecot should own /etc/pki/dovecot/private directory
dovecot should own /etc/pki/dovecot/private directory
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dovecot (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-23 09:41 EDT by Dan Horák
Modified: 2008-06-06 05:13 EDT (History)
0 users

See Also:
Fixed In Version: 1.0.13-8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-29 04:35:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Horák 2008-05-23 09:41:27 EDT
+++ This bug was initially created as a clone of Bug #448089 +++

Description of problem:
dovecot package should own /etc/pki/dovecot/private directory. Currently
it owns files under it, not the directory itself. This setup leads to
/etc/pki/dovecot/private directory being created with incorrect selinux
context.

Version-Release number of selected component (if applicable):
dovecot-1.0.7-2.el5 / RHEL5.2 GA

How reproducible:
Always

Steps to Reproduce:
1. Install RHEL5.2, dovecot included, selinux enabled
2. # rpm -qf /etc/pki/dovecot/private
3. # ls -dZ /etc/pki/dovecot/private
4. # matchpathcon /etc/pki/dovecot/private
  
Actual results:
# rpm -qf /etc/pki/dovecot/private
file /etc/pki/dovecot/private is not owned by any package
# ls -dZ /etc/pki/dovecot/private
drwxr-xr-x  root root system_u:object_r:cert_t:s0      /etc/pki/dovecot/private
# matchpathcon /etc/pki/dovecot/private
/etc/pki/dovecot/private        system_u:object_r:dovecot_cert_t:s0

Additional info:
Low priority, unlikely to cause any harm.

-- Additional comment from dhorak@redhat.com on 2008-05-23 09:39 EST --
cause - %{ssldir}/private is missing from %files
Comment 1 Fedora Update System 2008-06-06 05:11:17 EDT
dovecot-1.0.14-7.fc9 has been submitted as an update for Fedora 9
Comment 2 Fedora Update System 2008-06-06 05:13:14 EDT
dovecot-1.0.14-7.fc8 has been submitted as an update for Fedora 8

Note You need to log in before you can comment on or make changes to this bug.